Delete cost center
curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/costCenters/{costCenterUid} \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/costCenters/{costCenterUid}"
headers = {"Authorization": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/costCenters/{costCenterUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Cost Center
Delete cost center
Soft-deletes the cost center and removes its association from any Project, ProjectTemplate, ProjectFilter, and ProjectTemplateFilter. Requires ADMIN or PROJECT_MANAGER role with the “Setup server” access right.
DELETE
/
api2
/
v1
/
costCenters
/
{costCenterUid}
Delete cost center
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Cost center UID
Response
No Content
Was this page helpful?
⌘I